Daily vault equity snapshots (TVL, PnL)
curl --request GET \
--url https://api.hypedexer.com/vaults/dailySnapshots \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.hypedexer.com/vaults/dailySnapshots"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.hypedexer.com/vaults/dailySnapshots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"time": 1789801006084,
"day": "2026-09-19",
"totalDeposits": 49837463.237452,
"accountValue": 48617690.985079,
"totalNotional": 0,
"totalRawPnl": -1219772.252373,
"nPositions": 0,
"followerCount": 93441
},
{
"time": 1789775330696,
"day": "2026-09-18",
"totalDeposits": 49873569.136597,
"accountValue": 48649310.096927,
"totalNotional": 0,
"totalRawPnl": -1224259.03967,
"nPositions": 0,
"followerCount": 93437
}
]Vaults
Daily vault equity snapshots (TVL, PnL)
Daily vault equity: TVL, account value, notional exposure and PnL.
GET
/
vaults
/
dailySnapshots
Daily vault equity snapshots (TVL, PnL)
Authorizations
Your Hypedexer API key. Create one in the console at https://app.hypedexer.com. Authorization: Bearer <key> and the api_key query parameter are accepted as well.
Query Parameters
Vault address (0x…)
Epoch milliseconds
Epoch milliseconds
Required range:
1 <= x <= 5000Response
200 - application/json
OK